import { Player } from '../../enums/Player';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { DrmPerformanceInfo } from '../../types/DrmPerformanceInfo';
import { PlaybackInfo } from '../../types/PlaybackInfo';
import { InternalAdapter } from './InternalAdapter';
import { InternalAdapterAPI } from './InternalAdapterAPI';
export declare class CAFv3InternalAdapter extends InternalAdapter implements InternalAdapterAPI {
    protected context: any;
    private playerManager;
    private mediaInformation;
    private activeAudioTrack;
    private activeTextTracks;
    private currentItem;
    private isSeeking;
    constructor(context: any, opts?: AnalyticsStateMachineOptions);
    initialize(): void;
    getPlayerVersion(): string;
    getPlayerName: () => Player;
    getPlayerTech: () => string;
    getAutoPlay: () => any;
    getDrmPerformanceInfo: () => DrmPerformanceInfo | undefined;
    sourceChange(config: any, timestamp: number): void;
    getCurrentPlaybackInfo(): PlaybackInfo;
    register(): void;
    onPaused(currentTime?: number): void;
    protected readonly currentTime: number;
}
